GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - o -

- OB : gdcm::VR
- OB_OW : gdcm::VR
- Object() : gdcm::Object
- ObjectEnd : gdcm::MediaStorage
- ObjectType : gdcm::MediaStorage
- OBLIQUE : gdcm::Orientation
- OF : gdcm::VR
- Ofstream : gdcm::Writer
- OneShotReadBuf() : gdcm::OneShotReadBuf
- op : gdcm::SerieHelper::Rule
- OpenGDCMFileForReading() : itk::GDCMImageIO2
- OpenGDCMFileForWriting() : itk::GDCMImageIO2
- operator const char *() : gdcm::ConstCharWrapper , gdcm::Filename , gdcm::String< TDelimiter, TMaxLength, TPadChar >
- operator const double *() : gdcm::DirectionCosines
- operator const std::vector< char > &() : gdcm::ByteValue
- operator MSType() : gdcm::MediaStorage
- operator ObjectType *() : gdcm::SmartPointer< ObjectType >
- operator PIType() : gdcm::PhotometricInterpretation
- operator ScalarType() : gdcm::PixelFormat
- operator SwapCode::SwapCodeType() : gdcm::SwapCode
- operator TSType() : gdcm::UIDs , gdcm::TransferSyntax
- operator TypeType() : gdcm::Type
- operator uint32_t() : gdcm::VL
- operator UsageType() : gdcm::Usage
- operator VMType() : gdcm::VM
- operator VRType() : gdcm::VR
- operator!=() : gdcm::Attribute< Group, Element, TVR, VM::VM1 > , gdcm::CodeString , gdcm::Tag , gdcm::PixelFormat , gdcm::Attribute< Group, Element, TVR, TVM >
- operator()() : gdcm::DataSet , gdcm::Scanner::ltstr
- operator*() : gdcm::SmartPointer< ObjectType >
- operator++() : gdcm::VL
- operator+=() : gdcm::VL
- operator->() : gdcm::SmartPointer< ObjectType >
- operator<() : gdcm::CSAHeaderDictEntry , gdcm::Attribute< Group, Element, TVR, TVM > , gdcm::Attribute< Group, Element, TVR, VM::VM1 > , gdcm::CSAElement , gdcm::DataElement , gdcm::PrivateTag , gdcm::Tag
- operator<< : gdcm::CodeString , gdcm::CSAElement , gdcm::CSAHeader , gdcm::DataElement , gdcm::DataSet , gdcm::File , gdcm::FileMetaInformation , gdcm::FileSet , gdcm::CommandDataSet , gdcm::Fragment , gdcm::Item , gdcm::MediaStorage , gdcm::PDBElement , gdcm::PDBHeader , gdcm::Preamble , gdcm::Type , gdcm::PrivateTag , gdcm::Tag , gdcm::TransferSyntax , gdcm::ModuleEntry , gdcm::VL , gdcm::VM , gdcm::VR , gdcm::UI , gdcm::IOD , gdcm::IODEntry , gdcm::IODs , gdcm::Macro , gdcm::Macros , gdcm::Module , gdcm::Modules , gdcm::NestedModuleEntries , gdcm::Table , gdcm::Usage , gdcm::Orientation , gdcm::PhotometricInterpretation , gdcm::PixelFormat , gdcm::Scanner , gdcm::Sorter , gdcm::Directory , gdcm::Object , gdcm::SwapCode , gdcm::Version , gdcm::CSAHeaderDict , gdcm::CSAHeaderDictEntry , gdcm::Dict , gdcm::PrivateDict , gdcm::BasicOffsetTable , gdcm::DictEntry , gdcm::Dicts , gdcm::Global , gdcm::GroupDict
- operator<=() : gdcm::Tag
- operator=() : gdcm::SmartPointer< ObjectType > , gdcm::DataElement , gdcm::CSAElement , gdcm::SmartPointer< ObjectType > , gdcm::SequenceOfItems , gdcm::DataSet , gdcm::Object , gdcm::SmartPointer< ObjectType > , gdcm::ByteValue , gdcm::Element< TVR, VM::VM1_n > , gdcm::ParseException , gdcm::Preamble , gdcm::Tag
- operator==() : gdcm::PixelFormat , gdcm::Value , gdcm::network::TransferSyntaxSub , gdcm::PresentationContext , gdcm::Tag , gdcm::Attribute< Group, Element, TVR, VM::VM1 > , gdcm::PDBElement , gdcm::SequenceOfFragments , gdcm::SequenceOfItems , gdcm::Attribute< Group, Element, TVR, TVM > , gdcm::CodeString , gdcm::ByteValue , gdcm::network::PresentationContextRQ , gdcm::network::AbstractSyntax , gdcm::DataElement , gdcm::CSAElement , gdcm::ByteValue
- operator>> : gdcm::Tag
- operator[]() : gdcm::DataSet , gdcm::Attribute< Group, Element, TVR, TVM > , gdcm::Tag , gdcm::Attribute< Group, Element, TVR, VM::VM1_n > , gdcm::Element< TVR, VM::VM1_n > , gdcm::Tag , gdcm::Attribute< Group, Element, TVR, VM::VM1_n > , gdcm::Element< TVR, TVM >
- OphthalmicPhotography16BitImageStorage : gdcm::UIDs
- OphthalmicPhotography8BitImageStorage : gdcm::UIDs
- OphthalmicTomographyImageStorage : gdcm::UIDs
- OrderFileList() : gdcm::SerieHelper
- Orientation() : gdcm::Orientation
- OrientationType : vtkMedicalImageProperties , gdcm::Orientation
- Output : gdcm::BitmapToBitmapFilter
- OutputFormat : vtkImageMapToColors16
- OutputTypes : gdcm::DictConverter
- Overlay() : gdcm::Overlay
- OverlayImageActor : vtkImageColorViewer
- Overlays : gdcm::Pixmap
- OW : gdcm::VR